# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86.0"
name = "newtype-tools"
version = "0.1.0-beta.1"
authors = ["Andriy Berestovskyy <berestovskyy@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A lightweight library designed to make the newtype idiom more ergonomic to use."
homepage = "https://github.com/berestovskyy/newtype-tools"
readme = "README.md"
keywords = [
    "conversion",
    "derive",
    "idiom",
    "iterator",
    "newtype",
]
categories = [
    "algorithms",
    "data-structures",
    "development-tools",
    "development-tools::procedural-macro-helpers",
    "rust-patterns",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/berestovskyy/newtype-tools"
resolver = "2"

[features]
default = ["derive"]
derive = ["dep:newtype-tools-derive"]

[lib]
name = "newtype_tools"
path = "src/lib.rs"

[[test]]
name = "from"
path = "tests/from.rs"

[[test]]
name = "into"
path = "tests/into.rs"

[[test]]
name = "iter"
path = "tests/iter.rs"

[dependencies.newtype-tools-derive]
version = "0.1.0-beta.1"
optional = true

[dev-dependencies.newtype-tools-derive]
version = "0.1.0-beta.1"
